Subject: [bug#64620] [PATCH] gnu: home: Add home-emacs-service-type.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 11 Oct 2023 18:16:10 +0200

Hello!

If there’s consensus, I think we should go ahead with this patch series.
Worst that could happen is that people will think of ways to change the
service in one way or another, and that’s fine!

Two general comments:

  • As I wrote earlier, I think it’d be nice to have integration tests
    for this, in addition to the unit tests the patch already adds.

  • We may want to split the patch into sizable, self-contained bites.
    For instance, the (guix read-print) changes should probably be
    separated out.

I’ll provide more specific comments about the code.

To Emacs team members: please review the Emacs bits of the series!

Thanks,
Ludo’.